This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1252491 - bootloader --disable and %packages --nocore options are not documented
bootloader --disable and %packages --nocore options are not documented
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: doc-Installation_Guide (Show other bugs)
6.8
All Linux
medium Severity medium
: rc
: ---
Assigned To: Clayton Spicer
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-11 10:28 EDT by Martin Kolman
Modified: 2016-08-25 20:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-25 20:40:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kolman 2015-08-11 10:28:52 EDT
Document URL:
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Installation_Guide/s1-kickstart2-options.html 
https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/6/html/Installation_Guide/s1-kickstart2-packageselection.html

Section Number and Name: 
bootloader (required) 
32.5. Package Selection

Describe the issue:
The bootloader --disable and %packages --nocore are not documented in the Installation guide.

Suggestions for improvement: 
The "bootloader --disable" option is a stronger version of the existing "bootloader --location=none", while "bootloader --location=none" disables bootloader installation, "bootloader --disable" disables bootloader installation but also disables installation of the bootloader package (thus saving space).

This also means that if "bootloader --disable" is used using also --location=none is redundant.


Using %packages --nocore disables installation of the core package group which is otherwise always installed by default. Disabling core package group should be only used for creating lightweight containers, trying to install a normal system with --nocore will result in a broken installation.

It should be also noted that:


%packages
-@Core
%end

is not equivalent to

%packages --nocore
%end

Using the - minus syntax for the @Core package group does not work and should not be used. The *only* correct way for excluding the core package group is the --nocore option.


Additional information: 
Strong emphasis should be added to both of these options that they are meant exclusively for container creation and that using them during normal installation *will* result in a broken system.

Note You need to log in before you can comment on or make changes to this bug.